<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class AuthorityService extends AbstractServiceClient implements AuthorityServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'AuthorityService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';


    /**
     * @param array $data
     * @return array
     */
    public function getMenuList(array $data)
    {

        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getMenuInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function updateMenu(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function delMenu(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function addMenu(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getRecursionMenu(array $data )
    {
        return $this->__request(__FUNCTION__, $data);
    }
}